Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.processors
Class TransformerAnnotatedBeanProcessor

    java.lang.Object
      org.mule.config.spring.processors.TransformerAnnotatedBeanProcessor

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.config.BeanPostProcessor

    public class TransformerAnnotatedBeanProcessor

extends Object
implements org.springframework.beans.factory.config.BeanPostProcessor, MuleContextAware

TODO

Constructor Summary
`TransformerAnnotatedBeanProcessor()`

Method Summary
`Object` | `postProcessAfterInitialization(Object o, String s)`
`Object` | `postProcessBeforeInitialization(Object o, String s)`
`void` | `setMuleContext(MuleContext muleContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerAnnotatedBeanProcessor

    public TransformerAnnotatedBeanProcessor()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object o,
                                                  String s)
                                           throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object o,
                                                 String s)
                                          throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.